#define BLYNK_PRINT SerialUSB
#define BLYNK_DEBUG SerialUSB

#include <ESP8266_Lib.h>
#include <BlynkSimpleShieldEsp8266.h>
#include <Adafruit_CircuitPlayground.h>

#define NETWORK "Example12345" // Your network name here
#define PASSWORD "Example12345" // Your network password here
#define BLYNK_TOKEN "Token12345"

#define EspSerial Serial1
#define ESP8266_BAUD 9600

ESP8266 wifi(&EspSerial);

void blynk_setup(){
  CircuitPlayground.begin();
  SerialUSB.begin(9600);
  Serial.begin(9600);
  EspSerial.begin(ESP8266_BAUD);
  delay(10);
  Blynk.begin(BLYNK_TOKEN, wifi, NETWORK, PASSWORD);
}

void run_blynk(){
  Blynk.run();
  int temp = CircuitPlayground.temperature();
  Blynk.virtualWrite(V0, temp);
  Blynk.virtualWrite(V1, light_analysis(CircuitPlayground.lightSensor()));
  for (int i = 0; i < 10; ++i) {
      CircuitPlayground.setPixelColor(i, (temp*6.375), 0, 255 -(temp*6.375));
  }
}

String light_analysis(int lightSensore) {
  switch(lightSensore) {
    case 0 ... 50:
      return "It is Dark outside";
      break;
    case 51 ... 200:
      return "It is starting to get Dark outside";
      break;
    case 201 ... 400:
      return "the light is fading outside";
      break;
    case 401 ... 600:
      return "It is Sunny outside";
      break;
    case 601 ... 800:
      return "It is Bright outside";
      break;
    case 801 ... 1200:
      return "It is SO Bright outside";
      break;
  }
}

//void virtual_run(String pin, int value){
//   Blynk.virtualWrite(pin, value);
//}
